Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"d1e7c6a4-e050-446b-aa27-704665164562","url":null,"userId":"910d411e-92bb-4c42-a7ed-6bb169c90d36","userUrl":null,"parentCommentId":"7207eaea-86f2-4de0-a48b-dc18b6ce290c","parentCommentUrl":null,"creationDateTime":"2026-06-23T16:13:30.4004662+00:00","lastModifiedDateTime":"2026-06-23T20:13:30.4004662+00:00","medias":[{"id":"6cf35fd7-08eb-455a-ab22-51b015695b4c","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"3d498cb0-396f-4928-bc66-a42ff71c8984","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"a607f796-695a-48fe-b35b-f47a8f98d460","url":null,"userId":"39bfe72d-4916-47c1-8ab2-99221f6eddae","userUrl":null,"parentCommentId":"414c012b-52c8-4fea-b3b3-59fca387bdc3","parentCommentUrl":null,"creationDateTime":"2026-06-23T15:13:30.4004662+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"4c2faab2-ebd7-4882-a28a-08a9141ab341","url":null},{"type":"Department","name":null,"id":"6d58ceb2-8e97-4664-b6b2-9f10c6e645e2","url":null},{"type":"User group","name":null,"id":"43348aac-fec1-49d1-998e-333b52c92512","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string